select
    an.numero,
    ins.data as data_inseminacao,
    tou.numero as reprodutor,
    pes.nome as inseminador,
    par.data as data_ultimo_parto,
    ((select count(*) from lactacao re where an.cdanimal = re.cdanimal) + coalesce (an.numpartoentrada, 0)) as num_parto,
    (case when (ins.condicaoia = 'I') then 'IATF' when (ins.condicaoia = 'N') then 'Cio natural' when
        (ins.condicaoia = 'P') then 'Prostaglandinas' else null end) as condicao_ia,
    (case when ((prox.cdtiporeproducao in (1,2,3)) or (prox.diagnostico = 'N') or (prox.cio in (1,2))) then
        'Negativo' when (prox.diagnostico = 'P') then 'Positivo' else 'Aberto' end) as diagnostico,
    (case when (prox.cdtiporeproducao in (1,2,3)) then 'Nova tentativa' when (prox.diagnostico = 'N') then
        'Diagnostico' when (prox.cio is not null) then 'Cio no inseminado' else null end) as tipo_diagnostico,
    (case when (an.cdcategoriainicial = 7 and an.cdcategoria = 7) then 'Vaca' when (an.cdcategoriainicial <> 7
        and an.cdcategoria = 7 and ins.data > lac.dtinicio) then 'Vaca' when (an.cdcategoriainicial <> 7 and
        an.cdcategoria = 7 and ins.data < lac.dtinicio) then 'Novilha' when (an.cdcategoria = 6) then
        'Novilha' else null end) as categoria_na_inseminacao,
    (case when (exists(select * from lactacao re where re.cdanimal = an.cdanimal and re.dtinicio < ins.data and ((re.dtfim > ins.data or
        (re.dtfim is null))))) then 'Em lactao/Parida' when
        (not exists(select * from lactacao re where re.cdanimal = an.cdanimal and re.dtinicio < ins.data and ((re.dtfim > ins.data or
        (re.dtfim is null)))) and ins.data > lac.dtinicio) then 'Seca/Solteira' else null end) as situacao_produtiva_na_inseminacao
from
    reproducao ins
    join animal an on an.cdanimal = ins.cdanimal
    left join animal tou on tou.cdanimal = ins.cdreprodutor
    left join pessoa pes on pes.cdpessoa = ins.cdpessoa
    left join reproducao prox on prox.cdreproducao =
        (select first 1 re.cdreproducao from reproducao re where re.cdanimal = an.cdanimal and re.data > ins.data and
            ((re.cdtiporeproducao in (1,2,3,7)) or (re.diagnostico is not null) or (re.cio in (1,2))) order
                by re.data)
    left join lactacao lac on lac.cdlactacao =
        (select first 1 re.cdlactacao from lactacao re where re.cdanimal = an.cdanimal order by re.dtinicio)
    join reproducao par on par.cdreproducao =
        (select first 1 re.cdreproducao from reproducao re where re.cdanimal = an.cdanimal and re.cdtiporeproducao = 7
            order by re.data desc)
where
    ins.cdtiporeproducao in (1,2) and
    an.dtbaixa is null and
    an.tipoanimal = 'A' and
    an.animalrebanho = '1' and
 ---- INSIRA AQUI O PERIODO DA TENTATIVA. MANTENHA AS ASPAS SIMPLES E O FORMATO AAAA-MM-DD.
    ins.data between '2010-12-23' and '2014-01-06'
order by ins.data 